Subject: Re: [PATCH 1/8] Import $LS_COLORS parsing code from coreutils

From: David Tran <[email-masked]>
Date: Thu, 20 Mar 2014 19:09:16 +0000 (UTC)

Nguyễn Thái Ngọc Duy <pclouds <at> gmail.com> writes:

> This could could help highlight files in ls-files or status output, or
> even diff --name-only (but that's questionable).
> 
> This code is from coreutils.git commit
> 7326d1f1a67edf21947ae98194f98c38b6e9e527 file src/ls.c. This is the
> last GPL-2 commit before coreutils turns to GPL-3.
> 

I don't know if this is something to consider but for my mac, I have another 
variable CLICOLOR which shows the colors if it is set. This is also true with 
FreeBSD[1] as well. I don't know if that should be checked if you're on those 
systems.

I think it would be nice to have --color flag as well if you want to enable 
color output for just that one output. 

[1]: https://unix.stackexchange.com/questions/2897/clicolor-and-ls-colors-in-
bash